Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 246137 - Display date instead/next to commit id in blame
Display date instead/next to commit id in blame
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Git
8.0
PC Linux
: P1 (vote)
: 8.0.1
Assigned To: Ondrej Vrabec
issues@versioncontrol
801patch2-fix
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-30 14:10 UTC by Ondrej Vrabec
Modified: 2014-11-10 23:22 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ondrej Vrabec 2014-07-30 14:10:16 UTC
Git -> Show Annotations displays commit id and part of author's name, but the commit id is not that useful when user searches for most recent changes.
It is just a hash that does not say anything, not even able to be copied directly to clipboard. Date would be much more useful.

Let's add to the popup menu:
Show -> [x] Commit Id
             [ ] Commit date
             [x] Author
and remember its selection across sessions.
Comment 1 Ondrej Vrabec 2014-08-22 11:18:48 UTC
fixed: core-main #40328c6c30ac
Comment 2 Quality Engineering 2014-08-23 04:54:42 UTC
Integrated into 'main-silver', will be available in build *201408230001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/40328c6c30ac
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: Issue #246137 - Display date instead/next to commit id in blame
Comment 3 Ondrej Vrabec 2014-11-10 11:35:26 UTC
release801: http://hg.netbeans.org/releases/rev/985d4ce4a5d9
Comment 4 Quality Engineering 2014-11-10 23:22:49 UTC
Integrated into 'releases/release801', will be available in build *201411102027* or newer. Wait for official and publicly available build.

Changeset: http://hg.netbeans.org/releases/rev/985d4ce4a5d9
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: Issue #246137 - Display date instead/next to commit id in blame
(grafted from 40328c6c30acd57d1186ddf3094d65bfa87f23ca)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo